Package in.cdac.medinfo.csnotk.csnolib.commons

## Enum EnumDefStatus

- java.lang.Object
- - java.lang.Enum<EnumDefStatus>
  - - in.cdac.medinfo.csnotk.csnolib.commons.EnumDefStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EnumDefStatus>`

      public enum EnumDefStatus
      extends java.lang.Enum<EnumDefStatus>
      implements java.io.Serializable

  If definition status is
  PRIMITIVE-refers to primitive concepts and returns the Concept id corresponding to Primitive from SNOMED CT Component metadata hierarchy
  DEFINED- refers to fully defined concepts and returns the Concept id corresponding to Fully Defined from SNOMED CT Component metadata hierarchy

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEFINED` |
    `PRIMITIVE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EnumDefStatus` | `getEnum​(java.lang.String val)` | Returns enumeration for given string value.
    `java.lang.String` | `getValue()` | Returns the value associated with enumeration.
    `void` | `setValue​(java.lang.String value)` | Sets value for enumeration.
    `static EnumDefStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EnumDefStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIMITIVE

          public static final EnumDefStatus PRIMITIVE

    - #### DEFINED

          public static final EnumDefStatus DEFINED

  - ### Method Detail

    - #### values

          public static EnumDefStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumDefStatus c : EnumDefStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumDefStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Returns the value associated with enumeration.
      Returns:
        `String` value for enumeration.

    - #### setValue

          public void setValue​(java.lang.String value)

      Sets value for enumeration.
      Parameters:
        `value` - `String` value to be set.

    - #### getEnum

          public static EnumDefStatus getEnum​(java.lang.String val)

      Returns enumeration for given string value.
      Parameters:
        `val` - `String` value for which enumeration is to be retrieve.
      Returns:
        `EnumDefStatus` enumeration for given string value